Subject: Re: bug#8321: 23.1; emerge error diff extra operand

From: Eli Zaretskii <[email-masked]>
Date: Tue, 22 Mar 2011 21:02:50 +0200

> Date: Tue, 22 Mar 2011 11:52:44 -0400
> From: "Mark H. David" <[email-masked]>
> Cc: 
> 
> M-x emerge-files [RET] file1 [RET] file2 [RET]
> 
> produces a buffer with name *emerge-diff-errors* whose contents is as
> follows:
> 
> diff: extra operand
> diff: Try `diff --help' for more information.
> 
> 
> At the bottom of the window, in the minibuffer, the following text
> appears:
> 
> Errors found in diff/diff3 output. Merge buffer is *merge*.

I cannot reproduce this with 2 randomly chosen files, neither in Emacs
23.1 nor in the latest Emacs 23.3.

Does this happen for _any_ 2 files?  If not, can you tell what's
different about these two, or show two files that trigger this?

Could it be that the problem is with the white space embedded in the
file names?  Can you try using the 8+3 short aliases of those parts
that include white space?

> Normally, I'd be put right into the merge buffer (typically named
> *merge* or some variant).

This "normally" means that it generally works, but not this time?